%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define kdedir /usr
%define objprelink 1

Name: kkbswitch
Version: 1.2
Release: alt1

Summary: Keyboard layout indicator for KDE
Group: Graphical desktop/KDE
License: GPL

Requires: kdelibs-gcc_compiled = %__gcc_version_base

Source: %name-%version.tar.bz2
Patch1: kkbswitch-1.0-kde3.patch
Patch2: kkbswitch-1.0-dcop_open_cfg.patch

# Automatically added by buildreq on Tue Jan 22 2002
BuildRequires: freetype2 gcc-c++ kde-common
BuildRequires: kdelibs-devel libarts-devel libjpeg-devel liblcms
BuildRequires: libmng libpng-devel libqt3-devel libstdc++-devel
BuildRequires: libxml2 libxslt XFree86-devel XFree86-libs
BuildRequires: xml-utils zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
KKBSwitch is a keyboard layout indicator for KDE

%prep
%setup -q
#%patch1 -p1
%patch2 -p1
perl -pi -e "s|%name.png|locale.png|g" %name/%name.desktop
perl -pi -e "s|Name=.*|Name=Keyboard layout indicator|g" %name/%name.desktop
find . -name configure\* -type f -exec perl -pi -e 's|-lkfile|-lkio|g' {} \;
find . -name ac\*m4\* -type f -exec perl -pi -e 's|-lkfile|-lkio|g' {} \;

%build
export QTDIR=%qtdir KDEDIR=%kdedir
%configure --disable-rpath

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

cp -f %buildroot/%_datadir/applnk/Utilities/kkbswitch.desktop %buildroot/%_datadir/applnk/Utilities/kkbswitch-cfg.desktop
perl -pi -e "s|^Exec=.*$|Exec=/bin/sh -c 'kkbswitch; dcop kkbswitch KBSwitchIntf openConfigurationDialog'|" %buildroot/%_datadir/applnk/Utilities/kkbswitch-cfg.desktop

mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name Applications/Accessibility %buildroot/%_datadir/applnk/Utilities/kkbswitch.desktop %buildroot/%_menudir/%name kde
kdedesktop2mdkmenu.pl %name Configuration/KDE/Accessibility %buildroot/%_datadir/applnk/Utilities/kkbswitch-cfg.desktop %buildroot/%_menudir/%name-cfg kde

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/apps/*
%_docdir/HTML/en/*
#%_iconsdir/locolor/16x16/apps/*
#%_iconsdir/locolor/32x32/apps/*
#
%_datadir/applnk/Utilities/*.desktop
%_menudir/*

%changelog
* Tue Nov 26 2002 Sergey V Turchin <zerg@altlinux.ru> 1.2-alt1
- new version
- fix menu item

* Fri Sep 06 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1-alt3
- rebuild with gcc 3.2

* Tue Aug 06 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1-alt1
- new version

* Mon Jun 03 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt4
- add popup configuration dialog by clicking in KControl

* Fri Apr 26 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt3
- build with KDE3

* Fri Mar 22 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt2
- remove Requires kdebase

* Tue Jan 22 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt1
- initial spec

